[package]
name = "rpc"
version.workspace = true
edition.workspace = true
authors.workspace = true
description.workspace = true
repository.workspace = true
readme.workspace = true
homepage.workspace = true
license.workspace = true
keywords.workspace = true
categories.workspace = true
documentation.workspace = true
[lib]
path = "lib.rs"
name = "rpc"
[dependencies]
# gRPC / Prost
tonic = { workspace = true }
prost = { workspace = true }
prost-types = { workspace = true }
tonic-prost = "0.14.5"

# Internal
session_manager = { workspace = true }
deadpool-redis = { workspace = true, features = ["cluster"] }
serde = { workspace = true, features = ["derive"] }
serde_json = { workspace = true }
redis = { workspace = true }

# Logging / Tracing
tracing = { workspace = true }

# Utilities
anyhow = { workspace = true }
uuid = { workspace = true }
chrono = { workspace = true }
tokio = { workspace = true, features = ["sync"] }

[lints]
workspace = true

[build-dependencies]
tonic-prost-build = "0.14.5"
prost-types = { workspace = true }
